#ifndef GAME_LOGIC_H
#define GAME_LOGIC_H

#include <stdint.h>
#include <stdbool.h>
#include "config.h"

typedef enum {
  OPENED = '.',
  CLOSED = '#',
  MINED = '@',
  DESTROYED = 'X'
} field_states;

typedef struct {
  char state;
  bool is_protected;
  uint8_t near_bombs;
} field;

typedef enum { RUNNING, WIN, LOSE } game_statuses;
typedef struct {
  uint8_t width;
  uint8_t height;
  uint8_t mines;
  uint8_t flags;
  game_statuses status;
  field* map;
} game_state;

typedef enum { OPEN = 0, SET_FLAG = 1 } game_operations;

bool game_state_init(game_state* state, config* conf);
bool game_state_free(game_state* state);
void game_state_debug_print(const game_state* state);
void calculate_near_bombs(game_state* state);
void make_action(game_state* state, uint32_t x, uint32_t y, game_operations op);

#endif
